Skip to content
Guides
API reference
stable

Get the current user

Returns the profile of the current authenticated user.

GET/v1/users/me

Returns the profile of the current authenticated user.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/users/me"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "userName": null,  "email": "string",  "firstName": null,  "lastName": null,  "birthDate": null,  "documentType": null,  "gender": null,  "documentNumber": null,  "phone": null,  "avatarUrl": null,  "address": null,  "countryCode": null,  "isProfileComplete": true,  "isConfirmed": true,  "isEmailConfirmed": true,  "isPhoneNumberConfirmed": true,  "isTwoFactorEnabled": true,  "isActive": true,  "createdOn": "2019-08-24T14:15:22Z",  "roles": [    "string"  ],  "status": "inactive",  "hasPassword": true,  "loginProviders": [    "string"  ]}